search cancel

Error: "The installer integrity check failed…" when installing Endpoint Protection Manager or client

book

Article ID: 163057

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

When installing Symantec Endpoint Protection Manager or the Symantec Endpoint Protection client, version 12.1.6 MP4 (Build 12.1.6860.6400), the installer fails with the following error:

"The installer integrity check failed. Common causes for this failure include an incomplete download, damaged media, or problems with the Trusted Root certificate store."

Cause

Build 12.1.6860.6400 requires a Comodo code signing certificate, which is missing on your computer.

This issue does not impact the majority of computers; however; in rare cases computers may not have updated root certificates or the computers may have been configured to not trust the Comodo certificate in question.

This issue only impacts the installation of the product.

Resolution

Download the Required Certificate

The certificate required for build 12.1.6860.6400 is available through Comodo. Refer to the "Code Signing" section of Comodo - Which is Root? Which is Intermediate? for more information.

OR, Download the Latest Version of Symantec Endpoint Protection

Symantec has released an updated English-language build of SEP 12.1 RU6 MP4 (12.1.6867.6400), which was resigned with a Symantec/Verisign countersignature. This new build no longer requires trusting the Comodo Code Signing certificate.

To obtain this build, download the latest version of Symantec Endpoint Protection.

Note: Only the signing aspects were changed in this specific build; no functional code changes were made.